Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`http_headers``

module documentation
(source)

An API for storing HTTP header names and values.

Class | `Headers` | Stores HTTP headers in a key and multiple value format.
Function | `_dashCapitalize` | Return a byte string which is capitalized using '-' as a word separator.
Function | `_sanitizeLinearWhitespace` | Replace linear whitespace (`\n`, `\r\n`, `\r`) in a header key or value with a single space.
Type Variable | `_T` | Undocumented

def _dashCapitalize(name: `bytes`) -> `bytes`: (source)

Return a byte string which is capitalized using '-' as a word separator.

Parameters
name:`bytes` | The name of the header to capitalize.
Returns
`bytes` | The given header capitalized using '-' as a word separator.

def _sanitizeLinearWhitespace(headerComponent: `bytes`) -> `bytes`: (source)

Replace linear whitespace (`\n`, `\r\n`, `\r`) in a header key or value with a single space.

Parameters
headerComponent:`bytes` | The header key or value to sanitize.
Returns
`bytes` | The sanitized header key or value.

_T = (source)

Undocumented

Value

    TypeVar('_T')